class AccParData {
    constructor(swNo , parValue) {
        this.swNo = swNo;
        this.parValue = parValue;
    }
}
let AccParDatas = [];
AccParDatas.push(new AccParData(SW_BtlGrbOFF , 5));
AccParDatas.push(new AccParData(SW_BtlUdeSutuOFF , 10));
AccParDatas.push(new AccParData(SW_BtlBodySutuOFF , 25));
AccParDatas.push(new AccParData(SW_BtlInnerOFF , 25));
AccParDatas.push(new AccParData(SW_BtlLegSutuOFF , 10));
AccParDatas.push(new AccParData(SW_BtlAmKosiOFF , 5));
AccParDatas.push(new AccParData(SW_BtlAmLegOFF , 5));
AccParDatas.push(new AccParData(SW_BtlAmKataOFF , 5));
AccParDatas.push(new AccParData(SW_BtlAmMuneOFF , 5));
AccParDatas.push(new AccParData(SW_BtlPltMuneOFF , 5));
let Getアクセスシンクロ率 = function () {
    let sumValue = 0;
    let ckValue = 0;
    AccParDatas.forEach(accData => {
        sumValue += accData.parValue;
        if (!$gameSwitches.value(accData.swNo))
            ckValue += accData.parValue;
    });
    return ckValue / sumValue;
}
let waitCmnStartNo = -1;
Game_Interpreter.prototype.PL_石化演出 = function () {
    btlWaitFlame = 99999;
    waitCmnStartNo = CN_石化;
}
